# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(GD/Polygon.pm) perl(GD/Simple.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-GD-SVG
Version:        0.33
Release:        alt1_10
Summary:        GD::SVG enables SVG output from scripts written using GD

Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/GD-SVG/
Source0:        http://www.cpan.org/authors/id/T/TW/TWH/GD-SVG-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# The make test needs these.
BuildRequires:  perl(SVG.pm)
BuildRequires:  perl(GD.pm)
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
GD::SVG seamlessly enables the scalable vector graphics (SVG) output
from scripts written using GD.  It accomplishes this by translating GD
functions into SVG functions.


%prep
%setup -q -n GD-SVG-%{version}

# avoid extra dependencies
chmod 644 examples/generate_test_image.pl

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor 
make %{?_smp_mflags} 


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -a \( -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'


%check
make test


%files
%doc README Changes examples
%{perl_vendor_privlib}/*


%changelog
* Wed Apr 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.33-alt1_10
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.33-alt1_8
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.33-alt1_6
- fc import

